CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/global-payout-batches \
--query limit=10 page_size=10 status=DRAFTList global payout batches (onBehalfOf cus_abc123, status DRAFT).import requests
url = "https://sandbox.api.infinite.dev/v1/global-payout-batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/global-payout-batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/global-payout-batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/global-payout-batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/global-payout-batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/global-payout-batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "pb_abc123",
"organizationId": "org_abc123",
"onBehalfOf": "cus_abc123",
"source": {
"currency": "USDT",
"paymentRail": "ETHEREUM"
},
"status": "DRAFT",
"paymentReason": "PAYMENT_FOR_GOODS_AND_SERVICES",
"items": [
{
"id": "pbi_abc123",
"position": 0,
"amount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"counterpartyId": "cp_abc123",
"destination": {
"type": "EXTERNAL_WALLET",
"currency": "USDT",
"paymentRail": "ETHEREUM",
"accountId": "ewa_abc123",
"address": "0x1234567890abcdef1234567890abcdef12345678"
},
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"transferId": "tfr_abc123",
"clientReferenceId": "payroll_line_42",
"developerFeeFixed": 100,
"developerFeePercent": 0.015,
"errorMessage": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}Global Payout Batches
List global payout batches
GET
/
v1
/
global-payout-batches
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/global-payout-batches \
--query limit=10 page_size=10 status=DRAFTList global payout batches (onBehalfOf cus_abc123, status DRAFT).import requests
url = "https://sandbox.api.infinite.dev/v1/global-payout-batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/global-payout-batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/global-payout-batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/global-payout-batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/global-payout-batches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/global-payout-batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "pb_abc123",
"organizationId": "org_abc123",
"onBehalfOf": "cus_abc123",
"source": {
"currency": "USDT",
"paymentRail": "ETHEREUM"
},
"status": "DRAFT",
"paymentReason": "PAYMENT_FOR_GOODS_AND_SERVICES",
"items": [
{
"id": "pbi_abc123",
"position": 0,
"amount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"counterpartyId": "cp_abc123",
"destination": {
"type": "EXTERNAL_WALLET",
"currency": "USDT",
"paymentRail": "ETHEREUM",
"accountId": "ewa_abc123",
"address": "0x1234567890abcdef1234567890abcdef12345678"
},
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"transferId": "tfr_abc123",
"clientReferenceId": "payroll_line_42",
"developerFeeFixed": 100,
"developerFeePercent": 0.015,
"errorMessage": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Query Parameters
Number of results to return (1-1000). Use with offset for traditional pagination.
Required range:
1 <= x <= 1000Number of results to skip. Use with limit for traditional pagination.
Required range:
x >= 0Number of results per page (1-1000). Use with starting_after for cursor-based pagination.
Required range:
1 <= x <= 1000Cursor for pagination. Use the ID of the last item from the previous page to get the next page. Use with page_size for cursor-based pagination.
Filter by customer ID (onBehalfOf).
Example:
"cus_abc123"
Filter by batch status.
Available options:
DRAFT, PENDING_APPROVAL, PROCESSING, COMPLETED, PARTIALLY_COMPLETED, FAILED, CANCELLED, REJECTED Was this page helpful?